Bug 683543 - No confirmation message when deleting plugins
No confirmation message when deleting plugins
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: gwt-plugins rhq42
  Show dependency treegraph
 
Reported: 2011-03-09 11:46 EST by Corey Welton
Modified: 2013-08-31 06:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the new confirmation (38.27 KB, image/png)
2011-10-19 23:19 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Corey Welton 2011-03-09 11:46:54 EST
Description of problem:
Currently, there is no modal window/warning to confirm whether user wants to delete plugins.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Navigate to Administration > Plugins
2.  Attempt to select one or more plugins for removal
3.  Hit the delete button
  
Actual results:
Plugins are deleted w/o any confirmation.

Expected results:
There should be some sort of window that asks confirmation -- and probably should include a list of selected plugins too, i.e.,

Warning!

The following plugins are about to be deleted.

* IIS Plugin (iis.filename.jar)
* Hudson Plugin (hudson.filename.jar)

Are you sure you want to delete these?
Hit "Continue" to delete these plugins, or hit "Cancel" to stop this action.

[Continue] [Cancel]

Additional info:

Obviously you could use Yes/No or something more appropriate.
Comment 1 Charles Crouch 2011-09-27 10:36:38 EDT
We at least need an "Are you sure?" pop up. This could include warnings about 
not deleting plugins that others have dependencies on, especially the platform 
plugin
Comment 2 Charles Crouch 2011-09-27 12:16:49 EDT
An informative message would help alleviate 
https://bugzilla.redhat.com/show_bug.cgi?id=729084
Comment 4 John Mazzitelli 2011-10-19 23:19:12 EDT
Created attachment 529167 [details]
the new confirmation

there will be a new confirmation dialog when disabling and deleting agent and server plugins. See the attached snapshot for an example of what it will look like.
Comment 5 John Mazzitelli 2011-10-20 00:39:10 EDT
git commit 2c707ea56763c29f38f06d457f8d72301baebacb
Comment 6 Mike Foley 2011-10-20 14:25:37 EDT
tested positive and negative scenarios here ...for both server and agent plugins
Comment 7 Heiko W. Rupp 2013-08-31 06:42:38 EDT
Closing as this had been implemented a long time ago.

Note You need to log in before you can comment on or make changes to this bug.